using System;

internal sealed class Delegate853 : MulticastDelegate
{
	public extern Array Invoke(Type type_0, int int_0);

	public static Array smethod_0(Type type_0, int int_0, Delegate853 delegate853_1)
	{
		return delegate853_1(type_0, int_0);
	}

	public extern Delegate853(object object_0, IntPtr intptr_0);

	static Delegate853()
	{
		Class10.smethod_13(typeof(Delegate853).TypeHandle);
	}

	internal static Delegate853 delegate853_0;
}
